CREATE TABLE VS4TSF(
	TSFHNo nvarchar(30) NOT NULL,
	TSFHTBraCode nvarchar(30) NULL,
	TSFHType smallint NULL,
	TSFHDate datetime NULL,
	TSFHRefNo nvarchar(30) NULL,
	TSFHRefDate datetime NULL,
	TSFHTotalQty float NULL,
	TSFHTotalSale money NULL,
	TSFHTotalCost money NULL,
	TSFHDescription nvarchar(max) NULL,
	TSFHCreateBy nvarchar(140) NULL,
	TSFHCreateDate datetime NULL,
	TSFHEditCode nvarchar(30) NULL,
	TSFHEditBy nvarchar(140) NULL,
	TSFHEditDate datetime NULL,
	TSFHConfirmStatus smallint NULL,
	TSFHConfirmBy nvarchar(140) NULL,
	TSFHConfirmDate datetime NULL,
	TSFHApproveStatus smallint NULL,
	TSFHApproveBy nvarchar(140) NULL,
	TSFHApproveDate datetime NULL,
	TSFHApproveNote nvarchar(80) NULL,
	TSFHRevision smallint NULL,
	TSFHReviseBy nvarchar(140) NULL,
	TSFHCancelStatus smallint NULL,
	TSFHCancelBy nvarchar(140) NULL,
	TSFHCancelDate datetime NULL,
	TSFHCancelNote nvarchar(80) NULL,
	TSFHFlag1 smallint NULL,
	TSFHFlag2 smallint NULL,
	TSFHFlag3 datetime NULL
) ON [PRIMARY]
GO
ALTER TABLE VS4TSF ADD CONSTRAINT
	PK_VS4TSF PRIMARY KEY CLUSTERED 
	(
	TSFHNo
	) ON [PRIMARY]
GO
